Package org.eclipse.rdf4j.runtime

## Class RepositoryManagerFederator

- java.lang.Object
- - org.eclipse.rdf4j.runtime.RepositoryManagerFederator

-     @Deprecated
      public class RepositoryManagerFederator
      extends Object

  Deprecated.
  since 3.1.0. This module will be replaced by the new FedX federation module.
  Utility class for handling the details of federating "user repositories" managed by a `RepositoryManager`.
  Author:
    Dale Visser

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryManagerFederator​(RepositoryManager manager)` | Deprecated. Create an instance capable of federating "user repositories" within the given `RepositoryManager`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addFed​(String fedID, String description, Collection<String> members, boolean readonly, boolean distinct)` | Deprecated. Adds a new repository to the `RepositoryManager`, which is a federation of the given repository id's, which must also refer to repositories already managed by the `RepositoryManager`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryManagerFederator

          public RepositoryManagerFederator​(RepositoryManager manager)

      Deprecated.
      Create an instance capable of federating "user repositories" within the given `RepositoryManager`.
      Parameters:
        `manager` - must manage the repositories to be added to new federations, and becomes the manager of any created federations

  - ### Method Detail

    - #### addFed

          public void addFed​(String fedID,
                             String description,
                             Collection<String> members,
                             boolean readonly,
                             boolean distinct)
                      throws MalformedURLException,
                             RDF4JException

      Deprecated.
      Adds a new repository to the `RepositoryManager`, which is a federation of the given repository id's, which must also refer to repositories already managed by the `RepositoryManager`.
      Parameters:
        `fedID` - the desired identifier for the new federation repository
        `description` - the desired description for the new federation repository
        `members` - the identifiers of the repositories to federate, which must already exist and be managed by the `RepositoryManager`
        `readonly` - whether the federation is read-only
        `distinct` - whether the federation enforces distinct results from its members
      Throws:
        `MalformedURLException` - if the `RepositoryManager` has a malformed location
        `RDF4JException` - if a problem otherwise occurs while creating the federation